summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmaury Pouly <amaury.pouly@gmail.com>2016-11-20 21:35:37 +0100
committerAmaury Pouly <amaury.pouly@gmail.com>2016-11-20 21:36:54 +0100
commita88f57ec36d873d2c896e8c178c4bba2649f8d58 (patch)
tree0de31f01cac77e6493d17c4e6e7c02d93d07d0a7
parentce966d3d280f8475f18ee6b01af5829d12918344 (diff)
nwztools/scripts: mount storage with ext3 instead of ext2
Since ext3 supports ext2, we can support more platforms. Some platforms use ext4 with a very specific set of options, we I haven't encountered those yet so it's not currently a problem. Change-Id: Iff87e925a4caa866c6a66b1883ad6baab88c0b8d
-rw-r--r--utils/nwztools/scripts/dump_rootfs.sh4
-rw-r--r--utils/nwztools/scripts/install_dualboot.sh4
2 files changed, 5 insertions, 3 deletions
diff --git a/utils/nwztools/scripts/dump_rootfs.sh b/utils/nwztools/scripts/dump_rootfs.sh
index da20e43b41..36e521ce3b 100644
--- a/utils/nwztools/scripts/dump_rootfs.sh
+++ b/utils/nwztools/scripts/dump_rootfs.sh
@@ -60,11 +60,13 @@ lcdmsg -f /usr/local/bin/font_08x12.bmp -l 0,10 "Done."
# 5) Dump the root filesystem
# Mount the root filesystem read-only and dump it
+# NOTE some platforms use ext4 with a custom mount program
+# (/usr/local/bin/icx_mount.ext4), some probably use an mtd too
lcdmsg -f /usr/local/bin/font_08x12.bmp -l 0,12 "Dumping rootfs..."
ROOTFS_TMP_DIR=/tmp/rootfs
mkdir $ROOTFS_TMP_DIR
. /install_script/constant.txt
-if ! mount -t ext2 -o ro $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
+if ! mount -t ext3 -o ro $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
then
lcdmsg -f /usr/local/bin/font_08x12.bmp -l 0,13 "ERROR: cannot mount rootfs"
else
diff --git a/utils/nwztools/scripts/install_dualboot.sh b/utils/nwztools/scripts/install_dualboot.sh
index 08c24b7b5f..c134929312 100644
--- a/utils/nwztools/scripts/install_dualboot.sh
+++ b/utils/nwztools/scripts/install_dualboot.sh
@@ -49,9 +49,9 @@ if [ "$?" != 0 ]; then
exit 0
fi
-# NOTE some platforms use ext3 and some ext4 with a custom mount program
+# NOTE some platforms use ext4 with a custom mount program
# (/usr/local/bin/icx_mount.ext4), some probably use an mtd too
-mount -t ext2 $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
+mount -t ext3 $COMMON_ROOTFS_PARTITION $ROOTFS_TMP_DIR
if [ "$?" != 0 ]; then
lcdmsg -f /usr/local/bin/font_08x12.bmp -l 0,15 "ERROR: mount failed"
sleep 3